import './assets/main.css'

import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/reset.css';
import * as Icons from '@ant-design/icons-vue'; // 引入图标库
import { message } from 'ant-design-vue';

const app = createApp(App)

app.use(router)
app.use(Antd)
// 全局注册图标
for (const [key, component] of Object.entries(Icons)) {
    app.component(key, component);
}
app.mount('#app')